/*******************************************************************************
 * Copyright 2012 Niklas Ekman
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *******************************************************************************/
package yet.another.hackernews.reader.data;

/**
 * http://hndroidapi.appspot.com/
 * 
 * @author Niklas
 * 
 */
public class API {

	private static String API_URL = "http://hndroidapi.appspot.com/";
	private static String LATEST = "news/format/json/page/?appid=Test";
	private static String APP_ID = "?appid=YetAnotherHackernewsReader";
	private static String NEWEST = "newest/format/json/page/";
	private static String ASK_HN = "ask/format/json/page/";
	private static String BEST = "best/format/json/page/";

	public static String getHomepage() {
		return API_URL + LATEST + APP_ID;
	}

	public static String getNewest() {
		return API_URL + NEWEST + APP_ID;
	}

	public static String getAsk() {
		return API_URL + ASK_HN + APP_ID;
	}
	
	public static String getBest() {
		return API_URL + BEST + APP_ID;
	}

}
